Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001965KdenliveBuild Systempublic2011-01-05 16:322011-06-10 10:48
Reportersunab 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformall (amd64 and x86)OSUbuntu LinuxOS Version11.04
Product VersionRecent git 
Target VersionFixed in Version0.8 
Summary0001965: impossible to build kdenlive trunk with latest cmake 2.8.3 ?
DescriptionI am playing around building packages for the next Ubuntu release on april and I am facing this error at the end of kdenlive compilation :

Linking CXX executable kdenlive
/usr/bin/ld: CMakeFiles/kdenlive.dir/blackmagic/include/DeckLinkAPIDispatch.o: undefined reference to symbol 'pthread_once@@GLIBC_2.0'
/usr/bin/ld: note: 'pthread_once@@GLIBC_2.0' is defined in DSO /lib/libpthread.so.0 so try adding it to the linker command line
/lib/libpthread.so.0: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[3]: *** [src/cmake_bindir/kdenlive] Error 1
Additional InformationNote that kdenlive latest trunk builds fine with three previous versions of Ubuntu Linux.

After some quick tests I found that my package builds fine against cmake 2.8.2 but fails with cmake 2.8.3.
 
TagsNo tags attached.
Build/Install Method(select)
Attached Files

- Relationships

-  Notes
(0006294)
ttill (developer)
2011-01-05 17:01

Using cmake 2.8.3 on Archlinux here and Kdenlive builds.
(0006295)
sunab (developer)
2011-01-05 17:27
edited on: 2011-01-05 17:28

I am misunderstanding the problem, sorry for disturbing.

But I don't understand why this happens.

(0006296)
ttill (developer)
2011-01-05 17:36

Maybe you need the pthread-dev package if there is such a thing.
(0006297)
sunab (developer)
2011-01-05 17:39

It seems that is related to a Debian change in a way it prevents the automatic resolution of symbols in indirect dependent shared libraries.

http://wiki.debian.org/ToolChain/DSOLinking [^]

I will try to add :

find_package(PTHREAD)

in the CMakeLists.txt file
(0006298)
ttill (developer)
2011-01-05 17:44

This might help:
http://kdenlive.org/forum/svn-fails-undefined-reference-libdlso2 [^]
(0006308)
sunab (developer)
2011-01-08 14:14
edited on: 2011-01-08 14:18

Found the solution. To build with success I had to declare an explicit target link to pthread.

--- a/kdenlive-0.7.8+svn20110105.r5268/src/CMakeLists.txt
+++ b/kdenlive-0.7.8+svn20110105.r5268/CMakeLists.txt
@@ -321,6 +321,7 @@ target_link_libraries(kdenlive
   ${KDE4_KNOTIFYCONFIG_LIBRARY}
   ${KDE4_KROSSUI_LIBS}
   ${CMAKE_DL_LIBS}
+ ${CMAKE_THREAD_LIBS_INIT}
 )
 
 if(Q_WS_X11)

(0006309)
ttill (developer)
2011-01-08 14:48

Applied in svn r5300.
Thanks for looking into this.

- Issue History
Date Modified Username Field Change
2011-01-05 16:32 sunab New Issue
2011-01-05 17:01 ttill Note Added: 0006294
2011-01-05 17:27 sunab Note Added: 0006295
2011-01-05 17:28 sunab Note Edited: 0006295 View Revisions
2011-01-05 17:36 ttill Note Added: 0006296
2011-01-05 17:39 sunab Note Added: 0006297
2011-01-05 17:44 ttill Note Added: 0006298
2011-01-08 14:14 sunab Note Added: 0006308
2011-01-08 14:18 sunab Note Edited: 0006308 View Revisions
2011-01-08 14:48 ttill Note Added: 0006309
2011-01-08 14:48 ttill Status new => resolved
2011-01-08 14:48 ttill Resolution open => fixed
2011-01-08 14:48 ttill Fixed in Version => Recent git
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:48 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker